### Function

# Vips ArrayInt new

#### Declaration [src]

    VipsArrayInt*
    vips_array_int_new (
      const int* array,
      int n
    )

#### Description [src]

Allocate a new array of ints and copy `array` into it. Free with `vips_area_unref()`.

See also

`VipsArea`.

#### Parameters

`array`

  Type: An array of `int`

  Array of int.

  The length of the array is specified in the `n` argument.
  The data is owned by the caller of the function.

`n`

  Type: `int`

  Number of ints.

#### Return value

Type: `VipsArrayInt`

A new `VipsArrayInt`.

The caller of the function takes ownership of the data, and is responsible for freeing it.